%global pypi_name flask-multistatic

Name:               python-%{pypi_name}
Version:            1.0
Release:            %mkrel 15
Summary:            A simple flask plugin to allow overriding static files
Group:              Development/Python
License:            BSD
URL:                https://pagure.io/flask-multistatic/
Source0:            %{pypi_source}
BuildArch:          noarch
BuildRequires:      pyproject-rpm-macros
BuildRequires:      python3-devel

%description
Simple flask plugin allowing to override static files, making theming flask
applications really easy.

%package -n         python3-%{pypi_name}
Summary:            A simple flask plugin to allow overriding static files
Group:              Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Simple flask plugin allowing to override static files, making theming flask
applications really easy.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_multistatic

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Sun Mar 02 2025 wally <wally> 1.0-15.mga10
+ Revision: 2158243
- rebuild for python3.13

* Tue Dec 19 2023 wally <wally> 1.0-14.mga10
+ Revision: 2019798
- use pyproject rpm macros
+ papoteur <papoteur>
- Mass Rebuild - Python 3.12

* Fri Apr 01 2022 umeabot <umeabot> 1.0-13.mga9
+ Revision: 1838255
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 1.0-12.mga9
+ Revision: 1784900
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.0-11.mga9
+ Revision: 1732403
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0-10.mga8
+ Revision: 1533097
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.0-9.mga8
+ Revision: 1443369
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 shlomif <shlomif> 1.0-8.mga7
+ Revision: 1352791
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0-7.mga7
+ Revision: 1288901
- Mageia 7 Mass Rebuild

* Sun Sep 10 2017 ngompa <ngompa> 1.0-6.mga7
+ Revision: 1152567
- Adapt for Mageia
- imported package python-flask-multistatic


* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 11 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0-1
- initial package for Fedora
